Freeciv-3.1: /fast/freeciv/nightly/S3_1/common/ai.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions | Variables
ai.c File Reference
`#include <string.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "mem.h"`
`#include "timing.h"`
`#include "player.h"`
`#include "ai.h"`

Go to the source code of this file.

## Functions

struct ai_type * | get_ai_type (int id)
void | init_ai (struct ai_type *ai)
int | ai_type_number (const struct ai_type *ai)
struct ai_type * | ai_type_by_name (const char *search)
struct ai_type * | ai_type_alloc (void)
void | ai_type_dealloc (void)
int | ai_type_get_count (void)
const char * | ai_name (const struct ai_type *ai)
const char * | ai_type_name_or_fallback (const char *orig_name)
const char * | ai_level_name_update_cb (const char *old)

## Variables

static struct ai_type | ai_types [FREECIV_AI_MOD_LAST]
static int | ai_type_count = 0

## Function Documentation

## ◆ ai_level_name_update_cb()

const char * ai_level_name_update_cb | ( | const char * | old | ) |

Return AI level name legal in current build best matching the old name.

Definition at line 368 of file ai.c.

## ◆ ai_name()

const char * ai_name | ( | const struct ai_type * | ai | ) |

Return the name of the ai type.

Definition at line 329 of file ai.c.

Referenced by ai_type_by_name(), ai_type_name_or_fallback(), aicmd_command(), aifill(), create_command_pregame(), sg_load_players(), sg_load_players(), sg_save_player_main(), show_players(), and split_player().

## ◆ ai_type_alloc()

struct ai_type * ai_type_alloc | ( | void |  | ) |

Return next free ai_type

Definition at line 298 of file ai.c.

Referenced by ai_init().

## ◆ ai_type_by_name()

struct ai_type * ai_type_by_name | ( | const char * | search | ) |

Find ai type with given name.

Definition at line 284 of file ai.c.

Referenced by ai_init(), ai_type_name_or_fallback(), create_command_pregame(), and server_create_player().

## ◆ ai_type_dealloc()

void ai_type_dealloc | ( | void |  | ) |

Free latest ai_type

Definition at line 313 of file ai.c.

Referenced by ai_init().

## ◆ ai_type_get_count()

int ai_type_get_count | ( | void |  | ) |

Return number of ai types

Definition at line 321 of file ai.c.

Referenced by sg_save_game().

## ◆ ai_type_name_or_fallback()

const char * ai_type_name_or_fallback | ( | const char * | orig_name | ) |

Return usable ai type name, if possible. This is either the name given as parameter or some fallback name for it. NULL is returned if no name matches.

Definition at line 340 of file ai.c.

Referenced by server_create_player().

## ◆ ai_type_number()

int ai_type_number | ( | const struct ai_type * | ai | ) |

Returns id of the given ai_type.

Definition at line 272 of file ai.c.

Referenced by city_ai_data(), city_set_ai_data(), player_ai_data(), player_set_ai_data(), unit_ai_data(), unit_set_ai_data(), utype_ai_data(), and utype_set_ai_data().

## ◆ get_ai_type()

struct ai_type * get_ai_type | ( | int | id | ) |

Returns ai_type of given id.

Definition at line 254 of file ai.c.

Referenced by ai_type_alloc(), and client_main().

## ◆ init_ai()

void init_ai | ( | struct ai_type * | ai | ) |

Initializes AI structure.

Definition at line 264 of file ai.c.

Referenced by ai_init(), and client_main().

## Variable Documentation

## ◆ ai_type_count

int ai_type_count = 0

static

Definition at line 33 of file ai.c.

Referenced by ai_type_alloc(), ai_type_dealloc(), and ai_type_get_count().

## ◆ ai_types

struct ai_type ai_types[FREECIV_AI_MOD_LAST]

static

Definition at line 31 of file ai.c.

Referenced by ai_type_number(), and get_ai_type().